Subject: Re: [PATCH v0 1/1] Teach git version --build-options about zlib+libcurl

From: Junio C Hamano <[email-masked]>
Date: Fri, 21 Jun 2024 11:58:48 -0700

<[email-masked]> writes:

> In this case, I was modelling the include after http.c, and remote-curl.c,
> which would have the same problem. I was going for consistency. Would not
> all three have to be fixed in a separate patch?

At least for build on platforms without libcURL, you build with
NO_CURL defined, i.e. "make NO_CURL=NoThanks", and anything that
includes <curl/curl.h> is *NOT* compiled at all, avoiding the broken
build.  There is *NOTHING* that needs fixing in the existing code.
Only this patch under discussion is buggy that way.

>>FYI, in the merged result, I would prefer to order these entries
> semi-alphabetically,
>>e.g. perhaps stripping possible "lib" prefix or suffix and comparing the
> rest to result
>>in curl < openssl < z or something like that.  Then we know where to add a
> new one,
>>whose name we do not know yet, in the future.
>
> I think that is logical. Do you need this redone? Although the OpenSSL
> inclusion is already merged from what I can see.

That is why the statement has "FYI".  I'll do the merging.  

Having them as two patches, one for libcurl and the other for zlib,
would be slightly cleaner.  Otherwise my merge would have to become
"splitting the new one that adds libcurl+zlib into two hunks and let
the existing openssl one in between".